﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Chessticles
{
	public partial class PawnPromotionForm : Form
	{
		#region Properties

		public EPieceType PieceType
		{
			get { return m_ePieceType; }
		}

		#endregion // Properties


		public PawnPromotionForm()
		{
			InitializeComponent();
			m_ePieceType = EPieceType.Queen;
		}

		private void buttonPromote_Click(object sender, EventArgs e)
		{
			if (promoteQueen.Checked)
			{
				m_ePieceType = EPieceType.Queen;
			}
			else if (promoteBishop.Checked)
			{
				m_ePieceType = EPieceType.Bishop;
			}
			else if (promoteRook.Checked)
			{
				m_ePieceType = EPieceType.Rook;
			}
			else 
			{
				m_ePieceType = EPieceType.Knight;
			}
			
			DialogResult = DialogResult.OK;
			Close();
		}


		#region Members

		private EPieceType m_ePieceType;

		#endregion // Members
	}
}
