﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Chessticles
{
	public interface IPiece
	{
		EPieceType Type { get; }
		EPlayer Owner { get; }
		Position Position { get; }
		bool OnBoard { get; }
		int MoveCount { get; }
		List<SMove> ValidMoves { get; }

		bool IsValidMove(Position newPos);
		bool GetMove(Position pos, out SMove outMove);
	}
}
