﻿using System;

namespace Chessticles
{
	public sealed class Utils
	{
		public static T Clamp<T>(T value, T max, T min)
				 where T : System.IComparable<T>
		{
			T result = value;
			if (value.CompareTo(max) > 0)
				result = max;
			if (value.CompareTo(min) < 0)
				result = min;
			return result;
		} 
	}
}
